跳转到主要内容
POST
/
payment
/
open
/
institution
/
v1
/
pay
/
transactions
/
native
创建预付单
curl --request POST \
  --url https://openplatform.gateapi.io/payment/open/institution/v1/pay/transactions/native \
  --header 'Content-Type: application/json' \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
  --data '
{
  "merchantTradeNo": "118223456797",
  "env": {
    "terminalType": "APP"
  },
  "goods": {
    "goodsName": "NF2T",
    "goodsDetail": "nef-book"
  }
}
'
{
  "status": "SUCCESS",
  "code": "0",
  "errorMessage": "",
  "data": {
    "prepayId": "50913213697495040",
    "terminalType": "APP",
    "expireTime": 1674100394000,
    "qrContent": "http://openplatform.gate.io/qr/AjQHJ56mDQ26dtx5ftspl9usV9tlIA8iom35toXhX7Y=",
    "location": "https://114.55.238.130:13555/webpay?prepayid=50913213697495040"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.gate.com/llms.txt

Use this file to discover all available pages before exploring further.

概述

本页说明 POST /payment/open/institution/v1/pay/transactions/native 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

说明

  • 认证方式使用 GatePay 标准签名请求头。
  • 本页展示同一接口的机构路径版本。
  • 除创建子账户、查询子账户详情、分页查询子账户外,机构侧请求需携带 X-GatePay-On-Behalf-Of
  • qrContent 返回的是可用于生成二维码的内容链接,不是已经渲染好的二维码图片。
  • 通用签名规则请参见 /api-reference/version/100/cn/common/securityAndSignature

请求头

X-GatePay-Certificate-ClientId
string
必填

商户客户端ID,在 GatePay 平台申请获得

示例:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
必填

HMAC-SHA256签名,用于验证请求合法性

示例:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"

X-GatePay-Timestamp
string
必填

时间戳(毫秒),与服务器时间差不能超过5分钟

示例:

"1672905655498"

X-GatePay-Nonce
string
必填

随机数,用于防止重放攻击

示例:

"3525756760"

X-GatePay-On-Behalf-Of
string
必填

必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。

请求体

application/json

创建预付单请求参数。

merchantTradeNo
string
必填

商户订单号,不大于32字节。

env
object
必填

交易来源信息。

goods
object
必填

商品信息。

currency
string

加密货币币种,大写形式,如 USDT、BTC。

orderAmount
string

加密货币订单金额,范围 [0.0001, 500000]。

fiatCurrency
string

法币币种,大写形式,如 EUR、GBP、USD、CNY、JPY、AUD、CAD、CHF 等。

fiatAmount
string

法币订单金额,最小值 0.01,最高精度 2 位小数。

actualCurrency
string

商户实际要求入账的币种,如果商户要求入账币种与订单币种不一致,可使用此字段指定实际收入币种。

orderExpireTime
integer<int64>

订单过期时间,UTC 毫秒时间戳。不设置时默认 1 小时,最大为 1 小时。

returnUrl
string

订单支付成功后返回跳转地址,最长 256 字符。

cancelUrl
string

订单支付失败后返回跳转地址,最长 256 字符。

channelId
string

客户名称。

响应

200 - application/json

创建预付单成功

创建预付单响应。

status
string
必填

SUCCESS 或 FAIL。

code
string
必填

错误码。

errorMessage
string

错误信息。

data
object

预付单数据。